use crate::data::base_request_handler::BaseRequestHandler;
use crate::data::config::conf;
use crate::data::http_request_handler::HttpRequestHandler;
use crate::routes::RequestResult;

/// Submit a new report
pub async fn report(r: &mut HttpRequestHandler) -> RequestResult {
    if !conf().allow_reporting {
        r.bad_request("Reporting is disabled!".to_string())?;
    }

    // TODO : continue

    r.success("go on")
}